WaMCP
Api referenceClientsTemplates

Create Template

Create a new message template.

POST
/api/clients/{id}/templates

Create a new message template.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

id*Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/clients/string/templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "category": "MARKETING",    "language": "string",    "components": [      {}    ]  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}